Перейти к основному содержимому
Version: 6.x

pnpm import

Добавлено в: v2.15.0

pnpm import генерирует pnpm-lock.yaml из файла блокировки другого менеджера пакетов. Поддерживаемые исходные файлы:

  • package-lock.json
  • npm-shrinkwrap.json
  • yarn.lock (начиная с v6.14.0)

Note that if you have workspaces you wish to import dependencies for, they will need to be declared in a pnpm-workspace.yaml file beforehand.